﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using C1.Phone.Chart;

namespace ChartPerformanceTest
{
    public partial class C1Test : PageBase
    {
        public C1Test()
        {
            InitializeComponent();

            ChartData data = new ChartData();
            DataSeries series = new DataSeries();
            series.ItemsSource = this.ChartData;
            series.ValueBinding = new System.Windows.Data.Binding() { Path = new PropertyPath("Value") };
            series.ChartType = ChartType.Line;
            data.Children.Add(series);

            this.c1chart.Data = data;
            this.c1chart.View.AxisY.Min = 10;
            this.c1chart.View.AxisY.Max = 60;
            this.c1chart.View.AxisY.MajorUnit = 10;
            this.c1chart.View.AxisY.MinorTickStroke = new SolidColorBrush(Colors.Transparent);
            this.c1chart.View.AxisX.IsTime = true;
            this.c1chart.View.AxisX.MinorTickStroke = new SolidColorBrush(Colors.Transparent);
            // this.c1chart.View.AxisX.ItemsLabelBinding = new System.Windows.Data.Binding() { Path = new PropertyPath("Date") };
            this.c1chart.View.AxisX.ItemsValueBinding = new System.Windows.Data.Binding() { Path = new PropertyPath("Date") };
            this.c1chart.View.AxisX.MajorGridStroke = new SolidColorBrush(Colors.Transparent);
        }
    }
}